## Class TSqlMapSelectKey

Description

TSqlMapSelect corresponds to the <selectKey> element.

- since: 3.1
- version: $Id: TSqlMapStatement.php 1910 2007-05-08 07:49:50Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Configuration/TSqlMapStatement.php (line 377)

    TComponent
       |
       --TSqlMapStatement
          |
          --TSqlMapSelectKey

Method Summary
boolean getIsAfter ()
string getProperty ()
string getType ()
void setExtends (mixed $value)
void setProperty (string $value)
void setType (string $value)
Methods
getIsAfter (line 425)

- return: true if key is generated after insert command, false otherwise.
- access: public

boolean getIsAfter ()
getProperty (line 401)

- return: property name for the generated key.
- access: public

string getProperty ()
getType (line 385)

- return: select generated key type, 'post' or 'pre'.
- access: public

string getType ()
setExtends (line 417)

- access: public
- throws: TSqlMapConfigurationException extends is unsupported.

void setExtends (mixed $value)

Redefinition of:

TSqlMapStatement::setExtends()

setProperty (line 409)

- access: public

void setProperty (string $value)

- string $value: property name for the generated key.

setType (line 393)

- access: public

void setType (string $value)

- string $value: select generated key type, 'post' or 'pre'.

#### Inherited Methods

Inherited From TSqlMapStatement

> TSqlMapStatement::createInstanceOf()
> TSqlMapStatement::createInstanceOfListClass()
> TSqlMapStatement::createInstanceOfResultClass()
> TSqlMapStatement::getCache()
> TSqlMapStatement::getCacheModel()
> TSqlMapStatement::getExtends()
> TSqlMapStatement::getID()
> TSqlMapStatement::getListClass()
> TSqlMapStatement::getParameterClass()
> TSqlMapStatement::getParameterMap()
> TSqlMapStatement::getResultClass()
> TSqlMapStatement::getResultMap()
> TSqlMapStatement::getSqlText()
> TSqlMapStatement::initialize()
> TSqlMapStatement::parameterMap()
> TSqlMapStatement::resultMap()
> TSqlMapStatement::setCache()
> TSqlMapStatement::setCacheModel()
> TSqlMapStatement::setExtends()
> TSqlMapStatement::setID()
> TSqlMapStatement::setInlineParameterMap()
> TSqlMapStatement::setListClass()
> TSqlMapStatement::setParameterClass()
> TSqlMapStatement::setParameterMap()
> TSqlMapStatement::setResultClass()
> TSqlMapStatement::setResultMap()
> TSqlMapStatement::setSqlText()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:19 -0400 by phpDocumentor 1.3.0RC4